/*
 * @Author: 吴文洁
 * @Date: 2020-04-27 20:35:34
 * @LastEditors: 吴文洁
 * @LastEditTime: 2020-11-09 09:43:33
 * @Description:
 */

import React from 'react';
import ReactDOM from 'react-dom';
import { HashRouter } from 'react-router-dom';
import { ConfigProvider } from 'antd';
import { createHashHistory } from 'history';
import zh_CN from 'antd/es/locale/zh_CN';
import _ from 'underscore';
import { RootRouter } from './routes/index';
import 'antd/dist/antd.less';
import '@/common/less/index.less';

import App from './modules/root/App';

import '@/common/less/index.less';

const history = createHashHistory();

window.RCHistory = _.extend({}, history, {
  push: (obj: any) => {
    history.push(obj)
  },
  pushState:  (obj: any) => {
    history.push(obj)
  },
  pushStateWithStatus: (obj: any) => {
    history.push(obj)
  },
  goBack: history.goBack,
	location: history.location,
	replace: (obj: any) => {
		history.replace(obj)
	}
});
export async function mount() {
  ReactDOM.render(
   <RootRouter/>,
  document.getElementById('root'));
}

mount()